Subject: Re: [PATCH SLOF v3 3/5] disk-label: rename confusing "block" word

From: Segher Boessenkool <[email-masked]>
Date: Thu, 2 Jul 2015 05:04:16 -0500

On Thu, Jul 02, 2015 at 11:17:49AM +0530, Nikunj A Dadhania wrote:
> >> "block" word is not a block number, actually its an allocated host
> >> address.  Rename it to disk-buf along with a associated
> >> size(disk-buf-size=4096) for using during allocation/free.
> >> 
> >> Also renaming the helper routine read-sector to read-disk-buf. This
> >> routine assumes the address to be disk-buf and only takes sector number
> >> as argument.
> >
> > This isn't what I suggested, and I think it is a terrible idea.
> 
> The comment was against the "has-fat-filesystem". As the complete
> disk-label.fs had that same assumption, I went ahead and renamed "block"
> across the file.

No, I said that "block" in that stack comment was misleading.  Nothing more.

Since the word "block" is used all over the file (as your patch size shows),
a short name is much better than a longer name, esp. if that shorter name
actually is more expressive.

Segher